Package org.apache.lucene.search

# Interface RefreshCommitSupplier

public interface RefreshCommitSupplier
Expert: Interface to supply commit for searcher refresh.

WARNING: This API is experimental and might change in incompatible ways in the next release.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `default IndexCommit`
  `getSearcherRefreshCommit(DirectoryReader reader)`
  Expert: Returns the index commit that searcher should refresh on.

- ## Method Details

  - ### getSearcherRefreshCommit

    default IndexCommit getSearcherRefreshCommit(DirectoryReader reader) throws IOException
    Expert: Returns the index commit that searcher should refresh on. A null return value (default) indicates reader should refresh on the latest commit.
    Parameters:
      `reader` - DirectoryReader to refresh
    Throws:
      `IOException`